function CityRPGBountyList::sortList(%gui, %col)
{
	CityRPGBountyList.sort(%col, CityRPGBountyList.sort);
	CityRPGBountyList.sort = !CityRPGBountyList.sort;
	return CityRPGBountyList.sort;
}

function CityRPGBountyList::sortNumList(%gui, %col)
{
	CityRPGBountyList.sortNumerical(%col, CityRPGBountyList.numSort);
	CityRPGBountyList.numSort = !CityRPGBountyList.numSort;
	return CityRPGBountyList.numSort;
}

function CityRPGBountyList::sortNumList2(%gui, %col)
{
	CityRPGBountyList.sortNumerical(%col, CityRPGBountyList.numSort);
	CityRPGBountyList.numSort = !CityRPGBountyList.numSort;
	return CityRPGBountyList.numSort;
}

function CityRPGBountyList::onWake(%gui)
{
	CityRPGBountyList.clear();
	commandToServer('GetBountyProfileList');
	
	CityRPGBountyWindow.position = getWord(CityRPGStatus.getPosition(), 0) + 200 SPC getWord(CityRPGStatus.getPosition(), 1) + 70;
	if(getWord(CityRPGBountyWindow.getPosition(), 0) < 0)
		CityRPGBountyWindow.position = 0 SPC getWord(CityRPGBountyWindow.getPosition(), 1);
	if(getWord(CityRPGBountyWindow.getPosition(), 1) < 0)
		CityRPGBountyWindow.position = getWord(CityRPGBountyWindow.getPosition(), 0) SPC 0;
	
	return CityRPGBountyWindow.position;
}

function clientCmdAddBountyProfile(%name, %BL_ID, %bounty)
{
	$name = %name;
	$BL_ID = %BL_ID;
	$bounty = %bounty;
	
	CityRPGBountyList.addRow(CityRPGBountyList.rowCount(), $name TAB $BL_ID TAB $bounty);
}

function clientCmdSetBoRPGStatus(%money)
{
	$money = "$" @ %money;
	
	BountyMoney.setText($money);
}

function clientCmdBountyStatus()
{
	commandToServer('GetBoRPGStatus');
}

function clientCmdUpdateBolist()
{
	CityRPGBountyList.clear();
	commandToServer('GetBountyProfileList');
}

function CityRPGBounty::Place(%gui)
{
	%amount = Bounty.getValue();
	%row = CityRPGBountyList.getSelectedID();
	
	if(%row >= 0)
	{
		%target = getField(CityRPGBountyList.getRowTextById(%row), 0);
	}
	
	commandToServer('PlaceBounty', %target, %amount);
}

function CityRPGBounty::BountyInfo(%gui)
{
	commandToServer('BountyInfo');
}
