function CityRPGPoliceList::sortList(%gui, %col)
{
	CityRPGPoliceList.sort(%col, CityRPGPoliceList.sort);
	CityRPGPoliceList.sort = !CityRPGPoliceList.sort;
	return CityRPGPoliceList.sort;
}

function CityRPGPoliceList::sortNumList(%gui, %col)
{
	CityRPGPoliceList.sortNumerical(%col, CityRPGPoliceList.numSort);
	CityRPGPoliceList.numSort = !CityRPGPoliceList.numSort;
	return CityRPGPoliceList.numSort;
}

function CityRPGPoliceList::sortNumList2(%gui, %col)
{
	CityRPGPoliceList.sortNumerical(%col, CityRPGPoliceList.numSort);
	CityRPGPoliceList.numSort = !CityRPGPoliceList.numSort;
	return CityRPGPoliceList.numSort;
}

function CityRPGPoliceList::onWake(%gui)
{
	CityRPGPoliceList.clear();
	commandToServer('GetPoliceProfileList');
	
	CityRPGPoliceWindow.position = getWord(CityRPGStatus.getPosition(), 0) + 200 SPC getWord(CityRPGStatus.getPosition(), 1) + 70;
	if(getWord(CityRPGPoliceWindow.getPosition(), 0) < 0)
		CityRPGPoliceWindow.position = 0 SPC getWord(CityRPGPoliceWindow.getPosition(), 1);
	if(getWord(CityRPGPoliceWindow.getPosition(), 1) < 0)
		CityRPGPoliceWindow.position = getWord(CityRPGPoliceWindow.getPosition(), 0) SPC 0;
	
	return CityRPGPoliceWindow.position;
}

function clientCmdAddDemeritProfile(%name, %BL_ID, %dem)
{
	$name = %name;
	$BL_ID = %BL_ID;
	$dem = %dem;
	
	CityRPGPoliceList.addRow(CityRPGPoliceList.rowCount(), $name TAB $BL_ID TAB $dem);
}

function clientCmdSetPRPGStatus(%dems, %demcost, %money)
{
	$dems = %dems;
	$demcost = %demcost;
	$money = "$" @ %money;
	$amt = %money / %demcost;
	if($amt > $dems)
	{
		$amt = $dems;
	}
	$cost = "$" @ $amt * $demcost;
	$line = $amt @ "/" @ $dems @ " demerits for " @ $cost;
	
	Demerits.setText($dems);
	DemeritCost.setText($demcost);
	Money.setText($money);
	PayOff.setText($line);
}

function clientCmdPoliceStatus()
{
	commandToServer('GetPRPGStatus');
}

function clientCmdUpdatePlist()
{
	CityRPGPoliceList.clear();
	commandToServer('GetPoliceProfileList');
}

function CityRPGPolice::Pay(%gui)
{
	commandToServer('PayDems');
}

function CityRPGPolice::PoliceInfo(%gui)
{
	commandToServer('PoliceInfo');
}
